=== debian/changelog ===
plasma-workspace (4:6.4.90+p24.04+vstable+git20251001.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:29:42 +0000

plasma-workspace (4:6.4.90-0neon) noble; urgency=medium

  * Point release to resolve file clashes

 -- Neon CI <neon@kde.org>  Tue, 23 Sep 2025 06:32:37 +0300
