## plasma-workspace 6.4.90+p24.04+vstable+git20251004.0932

=== debian/changelog ===
plasma-workspace (4:6.4.90+p24.04+vstable+git20251004.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:32:24 +0000
