=== applets/systemtray/autotests/CMakeLists.txt ===
ecm_add_tests(systemtraymodeltest.cpp
    LINK_LIBRARIES systemtraymodel_static
    Qt::Test
)
