=== debian/changelog ===
plasma-workspace (4:6.4.91-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Bump Breaks/Replaces against plasma-desktop-data (<< 4:6.4.90~).
    (Closes: #1118102)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Oct 2025 08:49:04 +0200

plasma-workspace (4:6.4.91-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-desktop-doc (<<
    4:6.4.90~). (Closes: #1118101)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Oct 2025 08:45:43 +0200

plasma-workspace (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Drop now unused libcolorcorrect6 library.
  * Drop libweather-ion7 library, now part of plasma5support.
  * Update the list of installed files.
  * Package new libklookandfeel6 library.
  * Update symbols from build for 6.4.91.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:41:19 +0200
